const require_chunk = require('./chunk-CUT6urMc.cjs');
const __babel_core = require_chunk.__toESM(require("@babel/core"));
const __babel_plugin_transform_typescript = require_chunk.__toESM(require("@babel/plugin-transform-typescript"));
const __vue_jsx_vapor_babel = require_chunk.__toESM(require("@vue-jsx-vapor/babel"));

//#region src/core/index.ts
function transformVueJsxVapor(code, id, options, needSourceMap = false) {
	return (0, __babel_core.transformSync)(code, {
		plugins: [[__vue_jsx_vapor_babel.default, {
			compile: options?.compile,
			interop: options?.interop
		}], ...id.endsWith(".tsx") ? [[__babel_plugin_transform_typescript.default, {
			isTSX: true,
			allowExtensions: true
		}]] : []],
		filename: id,
		sourceMaps: needSourceMap,
		sourceFileName: id,
		babelrc: false,
		configFile: false,
		ast: true
	});
}

//#endregion
Object.defineProperty(exports, 'transformVueJsxVapor', {
  enumerable: true,
  get: function () {
    return transformVueJsxVapor;
  }
});