import "./core-BDE4GLH8.js";
import "./raw-CiOcntA4.js";
import "./unplugin-fqdlwNc1.js";
import { vite_default } from "./vite-DsiGkw99.js";
import { webpack_default } from "./webpack-DMPoVLGY.js";
import { addVitePlugin, addWebpackPlugin, defineNuxtModule } from "@nuxt/kit";
import "@nuxt/schema";

//#region src/nuxt.ts
var nuxt_default = defineNuxtModule({
	meta: {
		name: "nuxt-vue-jsx-vapor",
		configKey: "unpluginStarter"
	},
	setup(options) {
		addVitePlugin(() => vite_default(options));
		addWebpackPlugin(() => webpack_default(options));
	}
});

//#endregion
export { nuxt_default as default };