import { CompilerOptions } from "@vue-jsx-vapor/compiler";
import { Options } from "@vue-jsx-vapor/macros";
import { FilterPattern } from "unplugin-utils";

//#region src/options.d.ts
interface Options$1 {
  // define your plugin options here
  include?: FilterPattern;
  exclude?: FilterPattern;
  interop?: boolean;
  compile?: CompilerOptions;
  sourceMap?: boolean;
  /** @default true */
  ref?: {
    alias?: string[];
  } | boolean;
  /** @default false */
  macros?: Options | boolean;
}
//#endregion
export { Options$1 as Options };