import { Fragment, VNode, h } from "vue";
import { NativeElements, ReservedProps } from "vue-jsx-vapor";

//#region src/jsx-runtime.d.ts
declare function jsx(type: any, props: any, key: any): ReturnType<typeof h>;
declare global {
  namespace JSX {
    interface Element extends VNode {}
    interface ElementClass {
      $props: {};
    }
    interface ElementAttributesProperty {
      $props: {};
    }
    interface IntrinsicElements extends NativeElements {
      [name: string]: any;
    }
    interface IntrinsicAttributes extends ReservedProps {
      class?: unknown;
      style?: unknown;
    }
  }
}
//#endregion
export { Fragment, jsx, jsx as jsxDEV, jsx as jsxs };